Subject: Re: wireless: recap of current issues (stack)

From: Johannes Berg <[email-masked]>
Date: Fri, 13 Jan 2006 23:34:26 +0100

On Fri, 2006-01-13 at 17:22 -0500, John W. Linville wrote:

> Can the in-kernel stack be saved?  With the addition of softmac?
> Is it possible to extend softmac to support virtual wlan devices?
> If not, how do we proceed?

Well, softmac doesn't really have too many issues [that make it
incompatible with the planned stuff, that is]. Right now it layers
above ieee80211_device, and it would continue doing so, with
ieee80211_device transformed into the representation of the virtual STA
device.

johannes